Agora Java API Reference for Android

Classes | Static Public Attributes | List of all members
io.agora.rtm.RtmConstants Class Reference

## Classes
enum | RtmAreaCode
enum | RtmChannelType
enum | RtmConnectionChangeReason
enum | RtmConnectionState
enum | RtmEncryptionMode
enum | RtmErrorCode
enum | RtmLinkOperation
enum | RtmLinkState
enum | RtmLinkStateChangeReason
enum | RtmLockEventType
enum | RtmLogLevel
enum | RtmMessagePriority
enum | RtmMessageQos
enum | RtmMessageType
enum | RtmPresenceEventType
enum | RtmProtocolType
enum | RtmProxyType
enum | RtmServiceType
enum | RtmStorageEventType
enum | RtmStorageType
enum | RtmTokenEventType
enum | RtmTopicEventType

## Static Public Attributes
static final String | LOGIN_API_STR = "login"
static final String | LOGOUT_API_STR = "logout"
static final String | RENEW_TOKEN_API_STR = "renewToken"
static final String | PUBLISH_API_STR = "publish"
static final String | SUBSCRIBE_API_STR = "subscribe"
static final String | UNSUBSCRIBE_API_STR = "unsubscribe"
static final String | JOIN_API_STR = "join"
static final String | LEAVE_API_STR = "leave"
static final String | JOIN_TOPIC_API_STR = "joinTopic"
static final String | LEAVE_TOPIC_API_STR = "leaveTopic"
static final String | PUBLISH_TOPIC_MESSAGE_API_STR = "publishTopicMessage"
static final String | SUBSCRIBE_TOPIC_API_STR = "subscribeTopic"
static final String | UNSUBSCRIBE_TOPIC_API_STR = "unsubscribeTopic"
static final String | GET_SUBSCRIBED_USER_LIST_API_STR = "getSubscribedUserList"
static final String | SET_PARAMETERS_API_STR = "setParameters"
static final String | WHO_NOW_API_STR = "whoNow"
static final String | WHERE_NOW_API_STR = "whereNow"
static final String | GET_ONLINE_USERS_API_STR = "getOnlineUsers"
static final String | GET_USER_CHANNELS_API_STR = "getUserChannels"
static final String | SET_STATE_API_STR = "setState"
static final String | GET_STATE_API_STR = "getState"
static final String | REMOVE_STATE_API_STR = "removeState"
static final String | SET_CHANNEL_METADATA_API_STR = "setChannelMetadata"
static final String | GET_CHANNEL_METADATA_API_STR = "getChannelMetadata"
static final String | UPDATE_CHANNEL_METADATA_API_STR = "updateChannelMetadata"
static final String | REMOVE_CHANNEL_METADATA_API_STR = "removeChannelMetadata"
static final String | SET_USER_METADATA_API_STR = "setUserMetadata"
static final String | UPDATE_USER_METADATA_API_STR = "updateUserMetadata"
static final String | REMOVE_USER_METADATA_API_STR = "removeUserMetadata"
static final String | GET_USER_METADATA_API_STR = "getUserMetadata"
static final String | SUBSCRIBE_USER_METADATA_API_STR = "subscribeUserMetadata"
static final String | UNSUBSCRIBE_USER_METADATA_API_STR = "unsubscribeUserMetadata"
static final String | SET_LOCK_API_STR = "setLock"
static final String | GET_LOCKS_API_STR = "getLocks"
static final String | REMOVE_LOCK_API_STR = "removeLock"
static final String | ACQUIRE_LOCK_API_STR = "acquireLock"
static final String | RELEASE_LOCK_API_STR = "releaseLock"
static final String | REVOKE_LOCK_API_STR = "revokeLock"
static final String | GET_MESSAGES_API_STR = "getMessages"